Bug 4541 - Incomplete sentence in 5.8
Incomplete sentence in 5.8
Status: RESOLVED FIXED
Product: jbatch
Classification: Unclassified
Component: source
1
All All
: P5 trivial
: ---
Assigned To: cvignola
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 20:10 UTC by mminella
Modified: 2013-02-04 20:03 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mminella 2013-01-17 20:10:08 UTC
In section 5.8, the very last sentence before 5.8.1 is incomplete: "Note: a single Job XML file may contain"
Comment 1 cvignola 2013-01-25 17:50:37 UTC
Turns out we haven't resolved what a Job XML file can contain with regard to inheritance.  There are some open question. What we've said is we want to support two patterns: 

1. Separate Files 

I.e. child job in file1 and parent job in file2 or step in file1 inherits step from file2 

Question:  what root element can be in file2?  Job only?  Job or step?  (maybe flow?)

2. Same File 

I.e. child job and parent job in same file 

We have discussed allowing a single concrete (abstract=no) and multiple abstract jobs (abstract=yes) in the same file.     A well-formed XML document has a single root element.  

Question:  What is the root element when there are multiple jobs in the same file?   <jobs> ?  E.g.

<jobs>
<job id="job1" abstract="yes" ... />
<job id="job2" abstract="yes" ... />
<job id="job3" parent="job1" abstract="no" ... />
</jobs>
Comment 2 cvignola 2013-02-04 20:03:26 UTC
For now, the sentence in 5.8.1 will be stricken. Other issues concerning inheritance will be dealt with separately.